javax.swing.tree

## Interface TreeCellEditor

- All Superinterfaces:
    CellEditor
  All Known Implementing Classes:
    DefaultCellEditor, DefaultTreeCellEditor

      public interface TreeCellEditor
      extends CellEditor

  Adds to CellEditor the extensions necessary to configure an editor in a tree.
  See Also:
    `JTree`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Component` | `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)` | Sets an initial value for the editor.

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, cancelCellEditing, getCellEditorValue, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

- - ### Method Detail

    - #### getTreeCellEditorComponent

          Component getTreeCellEditorComponent(JTree tree,
                                               Object value,
                                               boolean isSelected,
                                               boolean expanded,
                                               boolean leaf,
                                               int row)

      Sets an initial value for the editor. This will cause the editor to stopEditing and lose any partially edited value if the editor is editing when this method is called.

      Returns the component that should be added to the client's Component hierarchy. Once installed in the client's hierarchy this component will then be able to draw and receive user input.

      Parameters:
        `tree` - the JTree that is asking the editor to edit; this parameter can be null
        `value` - the value of the cell to be edited
        `isSelected` - true if the cell is to be rendered with selection highlighting
        `expanded` - true if the node is expanded
        `leaf` - true if the node is a leaf node
        `row` - the row index of the node being edited
      Returns:
        the component for editing

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.